Subject: bug#9794: 24.0.90; `format-time-string' no good for %Z

From: "Drew Adams" <[email-masked]>
Date: Wed, 19 Oct 2011 07:29:48 -0700

> > And just because a non-Windows developer thinks that letting them
> > see "(Pacific Daylight Time)" is not useful to them and "()" is more
> > meaningful.  Sheesh.
> 
> No, it's because a _Windows_ developer found out that the Windows
> time-zone names violate international standards for what %Z should
> produce, which breaks other Emacs features that use the results.

No.  There is nothing to prevent Emacs from DTRT and providing _both_ the
Windows time-zone info and POSIX-standard info, using separate formatting codes.
Read the #641 thread.

Nothing in the GNU charter/mission/philosophy requires Emacs to _limit_ itself
to POSIX compliance.  Providing a POSIX-compliant time-zone formatting code is
one thing - a good thing, no doubt.  Not providing other available, non-POSIX
time-zone information that can be useful to users is another thing - a sorry
mistake.